import Vue from 'vue';

async function getAudioContentList(page) {
    return Vue.axios.get(
        "/admin/audio-content/list?page=" + (page - 1) +
        "&size=10"
    )
}

async function searchAudioContent(searchWord, page){
    return Vue.axios.get(
        "/admin/audio-content/search?search_word=" + searchWord +
        "&page=" + (page - 1) +
        "&size=10"
    )
}

async function modifyAudioContent(request) {
    return Vue.axios.put("/admin/audio-content", request)
}

async function getBannerList() {
    return Vue.axios.get("/admin/audio-content/banner")
}

async function saveBanner(formData) {
    return Vue.axios.post('/admin/audio-content/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function modifyBanner(formData) {
    return Vue.axios.put('/admin/audio-content/banner', formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateBannerOrders(ids) {
    return Vue.axios.put('/admin/audio-content/banner/orders', {ids: ids})
}

async function getCurations() {
    return Vue.axios.get("/admin/audio-content/curation")
}

async function saveCuration(request) {
    return Vue.axios.post("/admin/audio-content/curation", request)
}

async function modifyCuration(request) {
    return Vue.axios.put("/admin/audio-content/curation", request)
}

async function updateCurationOrders(ids) {
    return Vue.axios.put('/admin/audio-content/curation/orders', {ids: ids})
}

async function getAudioContentThemeList() {
    return Vue.axios.get("/admin/audio-content/theme")
}

export {
    getAudioContentList,
    searchAudioContent,
    modifyAudioContent,
    getBannerList,
    saveBanner,
    modifyBanner,
    updateBannerOrders,
    getCurations,
    saveCuration,
    modifyCuration,
    updateCurationOrders,
    getAudioContentThemeList
}
